<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:preserve-space elements="text" />  
  <xsl:param name="delurl"/>
  
  <xsl:template match="posts">
    <ul>
      <xsl:attribute name="class">
        <xsl:text>delicious</xsl:text>
      </xsl:attribute>
      <xsl:for-each select="post[not(@shared)]">
        <xsl:text>
       </xsl:text>
        <li>
          <xsl:text>
               </xsl:text>
          <div>
            <xsl:attribute name="class">
              <xsl:text>delicious-link</xsl:text>
            </xsl:attribute>
            <a>
              <xsl:attribute name="href">
                <xsl:value-of select="@href" />               
              </xsl:attribute>
              <xsl:value-of select="@description" />
            </a>
          </div>
          
          <xsl:if test="@extended">
            <xsl:text>
               </xsl:text>
            <div>
              <xsl:attribute name="class">
                <xsl:text>delicious-extended</xsl:text>
              </xsl:attribute>
              <xsl:value-of select="@extended" />
            </div>
          </xsl:if>
          
          <xsl:if test="@tag">
            <xsl:text>
               </xsl:text>
            <div>
              <xsl:attribute name="class">
                <xsl:text>delicious-tags</xsl:text>
              </xsl:attribute>
              <xsl:text>(tags:</xsl:text>
          
              <xsl:call-template name="process-tags">
                <xsl:with-param name="post-tags">
                  <xsl:value-of select="concat(@tag, ' ')" />
                </xsl:with-param>
              </xsl:call-template>
              
              <xsl:text>)</xsl:text>
            </div>
          </xsl:if>
          
          <xsl:text>
       </xsl:text>
        </li>
      </xsl:for-each>
      <xsl:text>
</xsl:text>
    </ul>
  </xsl:template> 
        
  <xsl:template name="process-tags">
    <xsl:param name="post-tags" />  
    <xsl:text> </xsl:text>
    <a>
      <xsl:attribute name="href">
        <xsl:value-of select="$delurl" /><xsl:value-of select="substring-before($post-tags, ' ')"/>
      </xsl:attribute>
      <xsl:value-of select="substring-before($post-tags, ' ')"/>
    </a>  
    
    <xsl:choose>
      <xsl:when test="string-length(substring-after($post-tags, ' ')) &gt; 0">
        <xsl:call-template name="process-tags">
          <xsl:with-param name="post-tags">
            <xsl:value-of select="substring-after($post-tags,' ')" />
          </xsl:with-param>
        </xsl:call-template> 
      </xsl:when>
      <xsl:otherwise></xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
</xsl:stylesheet>